{% extends template_base %}
{% load active_tag %}
{% load price_tag %}
{% load humanize %}
{% load check_group %}

{% block title %}Detalle de  {{ invoice.get_kind_display }} #{{ invoice.pk }}{% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		{%if invoice.customer %}
		<li class="breadcrumb-item"><a href="{{ invoice.customer.get_absolute_url }}billing/">Boletas Cliente</a> 
			{%if service %}
			o 
			{%for i in service %}
			<a href="{{ i.get_absolute_url }}billing/">Boletas Servicio #{{i.number}} </a>
			{%endfor%}
		{%endif%}</li>
		{%else%}
		<li class="breadcrumb-item"><a href="../../invoices-no-identificados/">Boletas</a>
		{%endif%}
		<li class="breadcrumb-item active">Detalle de {{ invoice.get_kind_display }}</li>
	  </ol>
	  <!-- end breadcrumb -->
	  
	  
	  <!-- begin page-header -->
	  <h1 class="page-header">{{ invoice.get_kind_display }} <small>detalle</small></h1>
	  {%if can_show_detail %}
	  <!-- end page-header -->
	  {%if customer %}
	  <div class="row mb-3">
			<div class="col-sm-12 col-md-12">
			<a href="billing-view/{{invoice.pk}}/" > <button type="button" class="btn btn-primary" title="Previsualizar pdf"><i class="fa fa-file-pdf"></i></button></a>
			<a href="billpdf/{{invoice.pk}}/" > <button type="button" class="btn btn-secondary" title="Descargar pdf"><i class="fa fa-download" ></i></button></a>
			{%if invoice.paid_on %}
			<a href="{%url 'mark-as-unpaid' pk=invoice.pk %}"> <button type="button" class="btn btn-danger" title="No pagada"> Marcar {{ invoice.get_kind_display }} como no pagada </button></a>
			{% else %}
			<a href="{%url 'mark-as-paid' pk=invoice.pk %}" > <button type="button" class="btn btn-info" title="Pagada"> Marcar {{ invoice.get_kind_display }} como pagada </button></a>
			{%endif%}
			{% if perms.customers.add_invoice %}
			{%if option_credit %}
			<a href="{% url 'invoice-create-service-nota-credito' customer_pk=customer.pk slug=invoice.pk %}" class="btn btn-success btn-sm pull-right ml-1">Generar Nota de crédito</a>
			<a href="{% url 'invoice-create-service-nota-cobro' customer_pk=customer.pk slug=invoice.pk %}" class="btn btn-success btn-sm pull-right ml-1">Generar Nota de cobro</a>
			{% endif %}
			{%if option_debit %}
			<!-- Esto es un comentario
			<a href="{% url 'invoice-create-service-nota-debito' customer_pk=customer.pk slug=invoice.pk %}" class="btn btn-success btn-sm pull-right ml-1">Generar Nota de débito</a>
			 -->
			{% endif %}
			{% endif %}
			</div>
		</div>
		{%endif%}
	
 <!-- begin row -->
 <div class="row">
		<!-- begin col-6 -->
		<div class="col-xl-6 ui-sortable">
		  <!-- begin panel -->
		  <div class="panel panel-inverse" data-sortable-id="ui-general-1">
			<!-- begin panel-heading -->
			<div class="panel-heading ui-sortable-handle">
			  <h4 class="panel-title">Detalle de la {{ invoice.get_kind_display }}</h4>
			  <div class="panel-heading-btn">
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
			  </div>
			</div>
			<!-- end panel-heading -->
			<!-- begin panel-body -->
			<div class="panel-body">
    <table class="table">
	      <tr>
		<td><strong>Tipo</strong></td>
		<td>{{ invoice.get_kind_display }}</td>
	      </tr>
	      <tr>
		<td><strong>Folio</strong></td>
		<td>{{ invoice.folio }}</td>
	      </tr>
	      <tr>
		<td><strong>Comentario</strong></td>
		<td>{{ invoice.comment }}</td>
	      </tr>
	      <tr>
		<td><strong>Vencimiento</strong></td>
		<td>{{ invoice.due_date }}</td>
	      </tr>
	      <tr>
		<td><strong>Pagada</strong></td>
		<td>{{ invoice.paid_on|default:"No" }}</td>
	      </tr>
	      {% comment %}
	      <tr>
		<td><strong>Estado</strong></td>
		<td>{{ invoice.get_status_display }}</td>
	      </tr>
	      {% endcomment %}
	      <tr>
		{% if invoice.currency %}
		<td><strong>Total (Original)</strong></td>
		<td>{{invoice.currency.symbol}} {{ invoice.total| price_tag }}</td>
		</tr>
		<td><strong>Moneda</strong></td>
		<td>{{invoice.currency.name}}</td>
		</tr>
		{%else%}
		<td><strong>Total (Original)</strong></td>
		<td>$ {{ invoice.total| price_tag }}</td>
				</tr>
				<td><strong>Moneda</strong></td>
				<td>No tiene asociada</td>
				</tr>
		{%endif%}
		{% if invoice.tasa %}
		<td><strong>Monto</strong></td>
		<td> {{ invoice.price| price_tag }}</td>
		</tr>
		<td><strong>Tasa conversión</strong></td>
		<td> {{ invoice.tasa| price_tag }}</td>
		</tr>
		{%endif%}
		<td><strong>Operador</strong></td>
		<td>{{ invoice.operator }}</td>
				</tr>
		{% if invoice.pdf_date %}
		<tr>
		<td><strong>Fecha para PDF (Mes/Año)</strong></td>
		<td>{{ pdf_date }}</td>
		</tr>
		{% endif %}
	{% if invoice.file %}
        <tr>
          <td><strong>Archivo</strong></td><td><a href="{{ invoice.file.url }}" class="thumbnail"><img class="img-responsive" src="{{ invoice.file_thumbnail.url }}"></a></td>
        </tr>
	{% endif %}
	{% if service %}
        <tr>
					<td><strong>Servicio</strong></td>
					<td>{% for n in service %} {{ n }}<br> {% endfor %} </td>
        </tr>
	{% endif %}
	{% if credit %}
        <tr>
					<td><strong>Descuentos</strong></td>
					<td>{% for n in credit %} {{ n.credit_applied.reason }}<br> {% endfor %} </td>
        </tr>
	{% endif %}
	{% if charge %}
        <tr>
					<td><strong>Cargos</strong></td>
					<td>{% for n in charge %} {{ n.charge_applied.reason }}<br> {% endfor %} </td>
        </tr>
	{% endif %}
	{% if credit_notes %}
        <tr>
					<td><strong>Notas de crédito asociadas</strong></td>
					<td>{%for n in credit_notes%}
						<a href="{{n.get_absolute_url}}"> {{n.comment}} </a>
						<br>
						{%endfor%}
					</td>
        </tr>
	{% endif %}
	{% if debit_notes %}
        <tr>
					<td><strong>Notas de débito asociadas</strong></td>
					<td>{%for n in debit_notes%}
						<a href="{{n.get_absolute_url}}"> {{n.comment}} </a>
						<br>
						{%endfor%}
					</td>
        </tr>
	{% endif %}
	{% if cobro_notes %}
        <tr>
					<td><strong>Notas de cobro asociadas</strong></td>
					<td>{%for n in cobro_notes%}
						<a href="{{n.get_absolute_url}}"> {{n.comment}} </a>
						<br>
						{%endfor%}
					</td>
        </tr>
	{% endif %}
	{% if invoice.parent_id %}
        <tr>
					<td><strong>Boleta asociada</strong></td>
					<td><a href="{{invoice.parent_id.get_absolute_url}}"> {{invoice.parent_id.comment}} </a></td>
        </tr>
	{% endif %}
	{% if payment %}
        <tr>
					<td><strong>Pagos asociados</strong></td>
					<td>{%for n in payment%}
						<a href="{{n.get_absolute_url}}"> {{n.comment}} </a>
						<br>
						{%endfor%}
					</td>
        </tr>
	{% endif %}
	{% if request.user|has_group:"Head Finanzas" or request.user|has_group:"Coordinador de facturación"  or request.user|has_group:"Operador de finanzas"  %} 
	<tr>
	  <td><a class="btn btn-primary" href="{% url 'invoice-update' invoice.id %}">Editar {{ invoice.get_kind_display }}</a></td> <td></td>
	</tr>
	{%endif%}
	{%if option_delete %}
		{%if perms.customers.delete_invoice %}
	  <tr>
		  <td>
			<a href="{% url 'delete-invoice' pk=invoice.pk %}" class="btn btn-danger">Eliminar {{ invoice.get_kind_display }}</a>
		  </td>
		  <td></td>
	</tr>
		
		{% endif %}
	{% endif %}
	</table>
	
</div>
<!-- end panel-body -->
</div>
<!-- end panel -->
</div>
<!-- end col-6 -->


<!-- begin col-6 -->
<div class="col-xl-6 ui-sortable">					
		<!-- begin panel -->
		<div class="panel panel-inverse" data-sortable-id="ui-general-1">
		  <!-- begin panel-heading -->
		  <div class="panel-heading ui-sortable-handle">
			<h4 class="panel-title">Datos del Cliente</h4>
			<div class="panel-heading-btn">
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
			</div>
		  </div>
		  <!-- end panel-heading -->
		  <!-- begin panel-body -->
		  <div class="panel-body">
			{%if customer %}
					<h4>{{ customer }}</h4>

					<p style="margin-left:4%"> <a href="{{ customer.get_absolute_url }}">{{ customer.rut }}</a></p>
          
					<h5>Números de servicio:</h5>
					<ul>
					{% for cc in customer.service_set.all %}
					<li><a href="{{ cc.get_absolute_url }}">{{ cc }}</a></li>
					{% endfor %}
					</ul>
					<h5>RUT pagadores</h5>
					<ul>
						{% for rut in customer.payorrut_set.all %}
						<li><a href="{% url 'customer-payment-methods' customer.pk %}">{{ rut.rut }}</a></li>
						{% endfor %}
					</ul>
					{%else%}
					<p>Esta boleta no esta asociada a ningún Cliente</p>
					{%endif%}
     
   <!-- end panel-body -->
</div>
<!-- end panel -->
</div>
<!-- end col-6 -->
		<!-- begin panel -->
		<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
				<h4 class="panel-title">Histórico de modificaciones</h4>
				<div class="panel-heading-btn">
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
				</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
				
				<table class="table">
		<thead>
		<tr>
			<th>Actividad</th>
			<th>Fecha</th>
		</tr>
		<thead>
		<tbody>
				{% for activity in invoice.action_log %}
				<tr>
					<td><span class="text-primary">{{ activity.user }}</span> {{ activity.action }} {% if activity.changes %}<strong>{{activity.changes|join:", "}}</strong>.{% else %} esta boleta.{% endif %}</td><td title="{{ activity.dt }}">{{ activity.dt|naturaltime }}</td>
				</tr>
				{% endfor %}
		</tbody>
				</table>
			 
		 <!-- end panel-body -->
	</div>
	<!-- end panel -->
	</div>
	<!-- end col-6 -->
</div>
<!-- end row -->
</div>
{%else%}
<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
	<h4 class="alert-heading">No encontrado</h4>
	<hr>
	<h5 class="mb-0">Cambie de operador o vuelva al listado de boletas.</h5>
</div>
{% endif %}
{% endblock %}